;---------------------------  
; Define data/plot type
;---------------------------  
FUNCTION def_dptyp, cmd

@common
@com_eg
 
   splot = 0
   pltztyp = '-'
   plt1dtyp = '-'

   CASE strmid(cmd.plt, 0, 2) OF 

       'xy': BEGIN & plttyp = 'plt'   & hotyp = '-'  & dimplot = 2 & END
       'yz': BEGIN & plttyp = 'pltz'  & hotyp = '-'  & dimplot = 2 & pltztyp = 'yz' & END
       'xz': BEGIN & plttyp = 'pltz'  & hotyp = '-'  & dimplot = 2 & pltztyp = 'xz' & END
       'xt': BEGIN & plttyp = 'pltt'  & hotyp = 'xt' & dimplot = 2 & END 
       'yt': BEGIN & plttyp = 'pltt'  & hotyp = 'yt' & dimplot = 2 & END 
       'zt': BEGIN & plttyp = 'pltt'  & hotyp = 'zt' & dimplot = 2 & END 
       't_': BEGIN & plttyp = 'pltt'  & hotyp = 't'  & dimplot = 1 & END 
       'x_': BEGIN & plttyp = 'plt1d' & hotyp = '-'  & dimplot = 1 & plt1dtyp = 'x' & END 
       'y_': BEGIN & plttyp = 'plt1d' & hotyp = '-'  & dimplot = 1 & plt1dtyp = 'y' & END 
       'z_': BEGIN & plttyp = 'plt1d' & hotyp = '-'  & dimplot = 1 & plt1dtyp = 'z' & END 

       'xs': BEGIN & plttyp = 'pltz'  & hotyp = '-'  & dimplot = 2 & splot = 1 & pltztyp = 'xz' & END
       'ys': BEGIN & plttyp = 'pltz'  & hotyp = '-'  & dimplot = 2 & splot = 1 & pltztyp = 'yz' & END
       'st': BEGIN & plttyp = 'pltt'  & hotyp = 'zt' & dimplot = 2 & splot = 1 & END
       's_': BEGIN & plttyp = 'plt1d' & hotyp = '-'  & dimplot = 1 & splot = 1 & plt1dtyp = 'z' & END

       ELSE: BEGIN &  print, ' unknown projection plot ',  cmd.plt &  stop &  END  
   ENDCASE  

   data_type = {plttyp: plttyp, hotyp: hotyp, dimplot: dimplot, pltztyp: pltztyp, splot: splot, plt1dtyp: plt1dtyp}

   return, data_type
END 
