;
; make Y transport in Sv at T point
;
FUNCTION make_ytran, file_name, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ZMTYP = zmtyp

@common
@com_eg
;
;
; Read V
;
   file_nam = strmid(file_name, 0, strlen(file_name)-4)
   old_boite = [lon1, lon2, lat1, lat2, prof1, prof2]
   domdef
   vargrid = 'V'
   v = nc_read(file_nam+'V.nc','vomecrty', ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2)

;  Transport along Y : try = v*e1t*e3t (Sv)

   e1t3d = reform(e1t[*]#replicate(1, jpk), jpi, jpj, jpk)

   e3t3d = reform(replicate(1, jpi*jpj)#e3t, jpi, jpj, jpk)

   try = v.data*e1t3d*e3t3d

   try = try*1.e-6

   domdef, old_boite

   field = {name: '', data: try, legend: '', units: '', origin: '', dim: 0}
   
   field.origin = v.origin
   field.dim = v.dim

   return, field
END 
