PRO mesh_from_file, model, file_name, ncdf_db, var_name
@common
@com_eg
;
; init grid, sf from file_name
; masks made in data_read
;

   IF strpos(ncdf_db, ':') GE 1 THEN directory = (str_sep(ncdf_db, ':'))[1] $
    ELSE directory = ncdf_db

   s_file = directory+file_name

   print,' Model inits for ', model, ' from file', s_file

   sm_file = hom_idl+'grids/grids_'+model+'.nc' 
   res = find(sm_file)

   IF res NE 'NOT FOUND' THEN BEGIN 

      initncdf, s_file, GLAMBOUNDARY = glamboundary_box

      IF debug_w THEN print, ' Found mask from ',sm_file 

      tmask = byte(read_ncdf('sftlf', 0, 0, /timestep, file = sm_file, /nostruct))
      
      idx = where(tmask EQ valmask)

      IF idx(0) NE -1 THEN tmask(idx) = 0.
      idx =  where(tmask LE 50.)
      tmask(idx) = 0.
      tmask =  tmask < 1
      tmask =  1-tmask
      triangles=triangule()

   ENDIF ELSE BEGIN 
      initncdf, s_file, USEASMASK = var_name, GLAMBOUNDARY = glamboundary_box, ZAXISNAME = 'depth'
   ENDELSE 

   IF debug_w THEN print, 'vargrid = ',vargrid 

   key_offset = [0, 0, 0]
;
; indice i pour grille j moyenne zonale
;
   diaznl_idx = 1

  return
END 

